nvme_mi_admin_identify_ns_descs(2)

NAME
nvme_mi_admin_identify_ns_descs - Perform an Admin identify Namespace Identification Descriptor list command for a namespace

SYNOPSIS
int nvme_mi_admin_identify_ns_descs (nvme_mi_ctrl_t ctrl , __u32 nsid , struct nvme_ns_id_desc *descs );

ARGUMENTS

ctrl
    Controller to process identify command

nsid
    Namespace ID

descs
    Namespace Identification Descriptor list to populate

DESCRIPTION
Perform an Identify namespace identification description list command, setting the namespace identification description list in descs

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.